
# Enable python3 by default
# To disable, add "--without python3" to rpmbuild command
%bcond_without python3

Name:           mysql-connector-python
Version:        2.1.6
Release:        %mkrel 1
Summary:        MySQL Connector for Python
Group:          Development/Python
License:        GPLv2 with exceptions
URL:            http://dev.mysql.com/doc/connector-python/en/index.html
Source0:        http://cdn.mysql.com/Downloads/Connector-Python/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
%if %{with python3}
BuildRequires:  python3-devel
%endif
# for unittest
BuildRequires:  mysql


%description
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.

%if %{with python3}
%package -n mysql-connector-python3
Summary:      MySQL Connector for Python 3
Group:        Development/Python

%description -n mysql-connector-python3
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.
%endif


%prep
%setup -q
cp -a . %{py3dir}
 
%build
%py2_build
%if %{with python3}
pushd %{py3dir}
%py3_build
popd
%endif

%install
%py2_install

%if %{with python3}
pushd %{py3dir}
%py3_install
popd
%endif

%files
%license LICENSE.txt
%doc CHANGES.txt README.txt
%doc examples
%{python2_sitelib}/*

%if %{with python3}
%files -n mysql-connector-python3
%license LICENSE.txt
%doc CHANGES.txt README.txt
%doc examples
%{python3_sitelib}/*
%endif


%changelog
* Mon Apr 24 2017 neoclust <neoclust> 2.1.6-1.mga6
+ Revision: 1097200
- New version 2.1.6 - Fixes CVE-2017-3590 (mga#20732)

* Fri Feb 05 2016 ngompa <ngompa> 2.1.3-1.mga6
+ Revision: 936972
- Modernize spec

  + anaselli <anaselli>
    - new version 2.1.3

* Tue Feb 02 2016 umeabot <umeabot> 1.0.7-9.mga6
+ Revision: 932591
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-8.mga5
+ Revision: 742329
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.7-7.mga5
+ Revision: 727441
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-6.mga5
+ Revision: 682728
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.7-4.mga4
+ Revision: 542746
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.7-3.mga4
+ Revision: 497907
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 360582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 1.0.7-1.mga3
+ Revision: 308134
- update file list
- disable check
- new version 1.0.7

* Wed Nov 02 2011 dmorgan <dmorgan> 0.3.2-4.mga2
+ Revision: 161892
- Disable python3 port
- Fix buildrequires => s/mysqlserver/mysql
  Enable python3 build

* Sun May 22 2011 dmorgan <dmorgan> 0.3.2-2.mga1
+ Revision: 100122
- imported package mysql-connector-python


* Sun Mar 20 2011 Remi Collet <Fedora@famillecollet.com> 0.3.2-2
- run unittest during %%check
- fix License
- add python3 sub package

* Wed Mar 09 2011 Remi Collet <Fedora@famillecollet.com> 0.3.2-1
- first RPM

